> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/reference/workflows/transforms/variable-creation-methods/statistical.md).

# Statistical

### Correlation

Returns the Pearson coefficient of correlation of a set of number pairs –> [learn more](https://cloud.google.com/bigquery/docs/reference/standard-sql/functions-and-operators#corr)

```sql
CORR(@expression, @expression_2)
```

#### Return type

float

#### Parameters

| Name            | Type                                                                                                                                                                                                                                                   | Allowed values                                                           | Required | Placeholder (in UI) |
| --------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------ | -------- | ------------------- |
| `@expression`   | [variable](https://docs.redivis.com/reference/projects/transform-nodes/variable-creation-methods/common-elements#variable) or [literal](https://docs.redivis.com/reference/projects/transform-nodes/variable-creation-methods/common-elements#literal) | any [float](https://docs.redivis.com/reference/datasets/variables#float) | true     | -                   |
| `@expression_2` | [variable](https://docs.redivis.com/reference/projects/transform-nodes/variable-creation-methods/common-elements#variable) or [literal](https://docs.redivis.com/reference/projects/transform-nodes/variable-creation-methods/common-elements#literal) | any [float](https://docs.redivis.com/reference/datasets/variables#float) | true     | -                   |

### Covariance

Returns the covariance of a set of number pairs –> [learn more](https://cloud.google.com/bigquery/docs/reference/standard-sql/functions-and-operators#covar)

```sql
COVAR_@sample_type(@expression, @expression_2)
```

#### Return type

float

#### Parameters

| Name            | Type                                                                                                                                                                                                                                                   | Allowed values                                                           | Required | Placeholder (in UI)  |
| --------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------ | -------- | -------------------- |
| `@sample_type`  | [enum](https://docs.redivis.com/reference/projects/transform-nodes/variable-creation-methods/common-elements#enum)                                                                                                                                     | any of: `SAMP`, `POP`                                                    | false    | *(Sample (default))* |
| `@expression`   | [variable](https://docs.redivis.com/reference/projects/transform-nodes/variable-creation-methods/common-elements#variable) or [literal](https://docs.redivis.com/reference/projects/transform-nodes/variable-creation-methods/common-elements#literal) | any [float](https://docs.redivis.com/reference/datasets/variables#float) | true     | -                    |
| `@expression_2` | [variable](https://docs.redivis.com/reference/projects/transform-nodes/variable-creation-methods/common-elements#variable) or [literal](https://docs.redivis.com/reference/projects/transform-nodes/variable-creation-methods/common-elements#literal) | any [float](https://docs.redivis.com/reference/datasets/variables#float) | true     | -                    |

### Standard deviation

Returns the standard deviation of all values –> [learn more](https://cloud.google.com/bigquery/docs/reference/standard-sql/functions-and-operators#stddev)

```sql
STDDEV_@sample_type(@expression)
```

#### Return type

float

#### Parameters

| Name           | Type                                                                                                                                                                                                                                                   | Allowed values                                                           | Required | Placeholder (in UI)  |
| -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------ | -------- | -------------------- |
| `@sample_type` | [enum](https://docs.redivis.com/reference/projects/transform-nodes/variable-creation-methods/common-elements#enum)                                                                                                                                     | any of: `SAMP`, `POP`                                                    | false    | *(Sample (default))* |
| `@expression`  | [variable](https://docs.redivis.com/reference/projects/transform-nodes/variable-creation-methods/common-elements#variable) or [literal](https://docs.redivis.com/reference/projects/transform-nodes/variable-creation-methods/common-elements#literal) | any [float](https://docs.redivis.com/reference/datasets/variables#float) | true     | -                    |

### Variance

Returns the variance of all values –> [learn more](https://cloud.google.com/bigquery/docs/reference/standard-sql/functions-and-operators#var)

```sql
var_@sample_type(@expression)
```

#### Return type

float

#### Parameters

| Name           | Type                                                                                                                                                                                                                                                   | Allowed values                                                           | Required | Placeholder (in UI)  |
| -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------ | -------- | -------------------- |
| `@sample_type` | [enum](https://docs.redivis.com/reference/projects/transform-nodes/variable-creation-methods/common-elements#enum)                                                                                                                                     | any of: `SAMP`, `POP`                                                    | false    | *(Sample (default))* |
| `@expression`  | [variable](https://docs.redivis.com/reference/projects/transform-nodes/variable-creation-methods/common-elements#variable) or [literal](https://docs.redivis.com/reference/projects/transform-nodes/variable-creation-methods/common-elements#literal) | any [float](https://docs.redivis.com/reference/datasets/variables#float) | true     | -                    |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/reference/workflows/transforms/variable-creation-methods/statistical.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
